Package Details: dockbarx-git 1:1.0beta+r858+d98020e-1

Git Clone URL: https://aur.archlinux.org/dockbarx-git.git (read-only, click to copy)
Package Base: dockbarx-git
Description: TaskBar with groupping and group manipulation
Upstream URL: https://github.com/M7S/dockbarx
Licenses: GPL3
Conflicts: dockbarx
Provides: dockbarx
Submitter: twa022
Maintainer: twa022
Last Packager: twa022
Votes: 30
Popularity: 0.000001
First Submitted: 2014-11-14 04:05 (UTC)
Last Updated: 2021-03-10 20:57 (UTC)

Dependencies (16)

Required by (8)

Sources (1)

Latest Comments

Satyrn commented on 2020-04-21 02:40 (UTC)

Could you please update this to the latest commit?

tomas.adrian commented on 2020-03-31 15:06 (UTC)

Is there any way I can install this package on ARM (aarch64 architecture)?

Techman35 commented on 2019-08-11 03:27 (UTC)

Cant start it as standalone :( https://pastebin.com/raw/xy3sHSyS

mydongistiny commented on 2019-01-22 05:41 (UTC)

Don't know if it's a new dep, but I needed to install libwnck3 to get this to work.

Techman35 commented on 2018-02-11 16:11 (UTC)

Is there a way to make compiz-9 scale plugin compatible?

gsantner commented on 2017-12-10 12:18 (UTC)

@twa022 / maintainer:<br> My quicklist patch was merged upstream, you don't need to apply it here anymore.

Techman35 commented on 2017-10-24 18:58 (UTC)

As standalone works but the applets dont works

twa022 commented on 2017-07-05 22:09 (UTC)

The GTK3 version of DockBarX provides a standalone dock and a MATE applet, but does not work with xfce4-dockbarx-plugin which embeds the GTK2 GNOME applet in the xfce4 panel. If you use both XFCE and MATE or if you just feel like it, you can install the GTK3 versio alongside the GTK2 version by editing the PKGBUILD and changing _coinstall to 1. This will rename files in the GTK3 version (this pkg) from DockBarX or dockx to DockBarM and dockm to avoid conflicts.

twa022 commented on 2016-09-06 18:49 (UTC)

Please see the README: https://github.com/M7S/dockbarx/blob/pygi-migration/README.md as certain features are known not to work (such as the preferences dialog).

twa022 commented on 2013-04-02 18:31 (UTC)

The MATE folks are in the process of tagging for the 1.6 release. Significant changes / patches will have to be added to work with MATE 1.6, so if not having dockbarx is a deal-breaker for your MATE desktop, wait to upgrade.

ShyPixie commented on 2012-05-30 03:43 (UTC)

Replace $startdir/src with $srcdir startdir contains the absolute path to the directory where the PKGBUILD file is located. This variable used to be used in combination with /src or /pkg postfixes, but the use of srcdir and pkgdir variables is the modern method. $startdir/src is not guaranteed to be the same as $srcdir, and likewise for $pkgdir. Use of this variable is deprecated and strongly discouraged. pkgdir points to the directory where makepkg bundles the installed package, which becomes the root directory of your built package.

twa022 commented on 2012-04-16 21:30 (UTC)

479-3: fixed problem in last PKGBUILD where the package always required MATE rather than properly checking for it.

twa022 commented on 2012-04-15 23:05 (UTC)

479-2: I have added MATE support. If you have MATE installed, you will have to redo your settings as they will now be stored in mateconf rather than gconf. If you do not have MATE installed, there will be no change and settings will still be stored in gconf. Please let me know any issues...

twa022 commented on 2011-04-24 09:30 (UTC)

381-1: removed all the gnome-panel, bonobo dependencies for the impending GNOME3 switchover. Now run dockbarx as a standalone dock: /usr/bin/dockx

Sheepy commented on 2011-02-09 07:50 (UTC)

Isn't dockmanager(-bzr) a dependency? Because of these media buttons (helpers). Or is it just optional?

twa022 commented on 2011-01-22 04:19 (UTC)

352-2: split off awn applet to its own package (dockbarx-awn-applet-bzr)

Sheepy commented on 2011-01-21 08:38 (UTC)

oke, it works now with dockmanager-bzr. I changed the dependeny to libdesktop-agnostic-gnome-bzr in the PKGBUILD of dockmanager-bzr thanks!

twa022 commented on 2011-01-21 05:06 (UTC)

@sheepy: you need to edit the libdesktop-agnostic-gnome-bzr PKGBUILD to put a version number in the provides line or just remove the version from the libdesktop-agnostic dependancy in the dockmanager-bzr PKGBUILD

Sheepy commented on 2011-01-20 09:45 (UTC)

:: avant-window-navigator-bzr: requires libdesktop-agnostic-gnome-bzr ==> dockmanager-bzr dependencies: - libdesktop-agnostic>=0.3.90-2 (package found) there is a conflict :(

twa022 commented on 2011-01-20 05:51 (UTC)

does it work in awn-bzr if you install dockmanager-bzr? the traceback makes it look like that's the problem

Sheepy commented on 2011-01-19 08:12 (UTC)

If I add dockbarx to the gnome-panel, it works perfectly.

Sheepy commented on 2011-01-19 08:11 (UTC)

No, i haven't

twa022 commented on 2011-01-19 01:44 (UTC)

@Sheepy: do you have dockmanager-bzr installed?

Sheepy commented on 2011-01-18 14:19 (UTC)

If I start avant-window-navigator (with dockbarx), I get this error/traceback: (perhaps its that python2/3 error, thing, whatever) Traceback (most recent call last): File "/usr/share/avant-window-navigator/applets/DockBarX/DockBarX.py", line 46, in __on_idle self.db.reload() File "/usr/lib/python2.7/site-packages/dockbarx/dockbar.py", line 329, in reload self.dockmanager.reset() File "/usr/lib/python2.7/site-packages/dockbarx/dockmanager.py", line 128, in reset "/net/launchpad/DockManager/Daemon") File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object If I modify the /usr/share/avant-window-navigator/applets/DockBarX/DockBarX.py (line 1) from #!/usr/bin/python to #!/usr/bin/python2 I get this traceback: Traceback (most recent call last): File "/usr/share/avant-window-navigator/applets/DockBarX/DockBarX.py", line 46, in __on_idle self.db.reload() File "/usr/lib/python2.7/site-packages/dockbarx/dockbar.py", line 329, in reload self.dockmanager.reset() File "/usr/lib/python2.7/site-packages/dockbarx/dockmanager.py", line 128, in reset "/net/launchpad/DockManager/Daemon") File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name net.launchpad.DockManager.Daemon was not provided by any .service files any ideas?

Sheepy commented on 2011-01-18 10:11 (UTC)

After the update to 350, it doesn't work with AWN-bzr anymore! I tried to update AWN-bzr -> nothing.